package com.tuoheng.admin.service.user;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tuoheng.admin.entity.User;
import com.tuoheng.common.core.utils.JsonResult;

/**
 * <p>
 * 后台用户管理表 服务类
 * </p>
 *
 * @author 拓恒
 * @since 2020-10-30
 */
public interface IUserService extends IService<User> {

    /**
     * 根据部门id查询用户列表
     */
    JsonResult getListByDeptId(String deptId);

}
