package com.tuoheng.admin.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 返回巡检问题报告视图Vo
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-12-12
 */
@Data
public class InspectionFileHandleReportVo {

    /**
     * 处理人ID
     */
    private String handlerUser;

    /**
     * 处理后图片(多个图片逗号“,”分隔)
     */
    private List<String> handlerImageList;

    /**
     * 处理结果
     */
    private String handlerResult;

    /**
     * 处理完成时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date handlerTime;

}
